[问题]关于usb猫adsl上网问题!!!

为当前最终发行版之前的所有版本提供支持
回复
leetc123
帖子: 6
注册时间: 2007-02-24 14:58
送出感谢: 0
接收感谢: 0

[问题]关于usb猫adsl上网问题!!!

#1

帖子 leetc123 » 2007-03-03 21:40

ubuntu6.10已经识别出usb猫。
re-p???也已经成功安装。但是设置中一项要输入网卡(默认是eth0)时进行不下去了!
因为我这时usb猫,应该有个虚拟网卡,可是ifconfig里面没有虚拟网卡。如果选eth0的话肯定time out!

请问高手怎么解决!。。。。。。。。。。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2007-03-03 23:12

ifconfig里面虚拟出了设备才对。少了就是没安装驱动。先找猫的芯片组名称出来。
● 鸣学
leetc123
帖子: 6
注册时间: 2007-02-24 14:58
送出感谢: 0
接收感谢: 0

#3

帖子 leetc123 » 2007-03-03 23:36

我用lsusb,能够看到猫。
我的猫是Thomson的st330
也就是阿卡尔卡特的speedtouch330

互联网都让我找遍了,没有驱动啊!
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#4

帖子 eexpress » 2007-03-04 0:13

weblog_entry.php?e=13
weblog_entry.php?e=213
驱动都是到法文论坛找
● 鸣学
leetc123
帖子: 6
注册时间: 2007-02-24 14:58
送出感谢: 0
接收感谢: 0

#5

帖子 leetc123 » 2007-03-04 23:25

找到驱动了。不过就是make不过。是一些目录文件不存在问题。
总归原因就出在驱动上了可能。因为除了eth0就是一个lo
据说应该有个ppp0或者别的虚拟的。因为我lsusb里面有猫,是不是只要装个firmware就好了。可是我3种版本的都试过了,依然就eth0和lo。是不是默认内核有些模块支持不全!
我参考的是http://linux-usb.sourceforge.net/SpeedTouch/ubuntu/index.html这篇文章,算是写的比较全面,还带下载的!

The 2.6.10 kernel (or 2.6.9 on Fedora) has a new feature . It no longer needs modem_run to load the firmware. This is a good thing because it speeds up the boot process.
这个是不是说明2.6.10内核以上的版本,就不需要做firmware了!

另外:Dapper;Dapper Drake;Warty Warthog作何翻译,因该是跟ubuntu有关的,(版本?那我们的版本是什么?)

好像ubuntu和我以前用过的MagicLinux和RedHat还不太一样,编译新内核时make menuconfig;xcongfig;gconfig都不能用,只有make congfig能用。都是一些文件目录不存在类似问题。难道它对标准的目录结构做了改变?!
————只能说明我比较菜!
向楼上学习了!
上次由 leetc123 在 2007-03-05 0:03,总共编辑 1 次。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#6

帖子 eexpress » 2007-03-04 23:44

build-essential没安装吧。编译环境。
我以前搞那2个驱动,也费时不少。后来发现,在源里面都有了。ppp0或者tap0是在驱动以后,而且加载了fireware以后,才出现的。
● 鸣学
leetc123
帖子: 6
注册时间: 2007-02-24 14:58
送出感谢: 0
接收感谢: 0

#7

帖子 leetc123 » 2007-03-05 0:23

好像是,反正我启动时出现 error。。。。。猫。。。。firmware。。。什么读取错误!



The 2.6.10 kernel (or 2.6.9 on Fedora) has a new feature . It no longer needs modem_run to load the firmware. This is a good thing because it speeds up the boot process.
这个是不是说明2.6.10内核以上的版本,就不需要做firmware了!

另外:Dapper;Dapper Drake;Warty Warthog作何翻译,因该是跟ubuntu有关的,(版本?那我们的版本是什么?)
leetc123
帖子: 6
注册时间: 2007-02-24 14:58
送出感谢: 0
接收感谢: 0

#8

帖子 leetc123 » 2007-03-07 0:27

搞定了,不容易!
回复

回到 “老旧版本支持”